Bug 1266023 - [BLOCKED] New Virtual Disk form has wrong order to switch with tab
[BLOCKED] New Virtual Disk form has wrong order to switch with tab
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
Unspecified Unspecified
low Severity low (vote)
: ovirt-4.1.0-alpha
: ---
Assigned To: Tal Nisan
Aharon Canan
:
Depends On: 903558
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 06:34 EDT by Carlos Mestre González
Modified: 2016-03-10 08:26 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 08:26:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.1?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Carlos Mestre González 2015-09-24 06:34:58 EDT
Description of problem:
If I press tab in the size field in the New Virtual Disk form it doesn't go to alias or any of the other form fields, it goes out of the page into the browser.

Version-Release number of selected component (if applicable):
rhevm-3.6.0-0.16.master.el6.noarch
firefox-40.0.3-1.fc21.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Go to Disk tab -> New.
2. Put the cursor on the size, change the size, press TAB

Actual results:
the cursor goes away (not sure what is selected) and the to the browser URL bar.

Expected results:
goes to Alias field

Additional info:
This doesn't happen if you're in the alias field and press tab, it goes to the below fields as expected.
This seems a regression from 3.5
Comment 2 Carlos Mestre González 2015-09-25 04:02:26 EDT
1
Comment 4 Red Hat Bugzilla Rules Engine 2015-11-30 16:00:25 EST
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.
Comment 7 Red Hat Bugzilla Rules Engine 2016-01-27 05:58:18 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 8 Red Hat Bugzilla Rules Engine 2016-01-27 05:58:42 EST
Bug tickets must have version flags set prior to targeting them to a release. Please ask maintainer to set the correct version flags and only then set the target milestone.
Comment 10 Tal Nisan 2016-01-27 08:43:18 EST
Moving back to 4.0 for now until a 4.1 flag will be added as it triggers my alarms as an untargeted bug
Comment 12 Yaniv Kaul 2016-03-10 08:26:24 EST
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Specifically for UI, we are not going to invest in fixing keyboard based navigation.

Note You need to log in before you can comment on or make changes to this bug.